Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wutka.dtd
Class DTDNotation

    java.lang.Object
      |
      +--com.wutka.dtd.DTDNotation

All Implemented Interfaces:
  DTDOutput

public class DTDNotation
extends Object
implements DTDOutput

Represents a Notation defined in a DTD

Version:
  $Revision: 1.12 $ $Date: 2000/09/01 13:21:05 $ by $Author: wutka $
Author:
  Mark Wutka

Field Summary
`DTDExternalID` | `externalID`
`String` | `name`

Constructor Summary
`DTDNotation()`
`DTDNotation(String aName)`

Method Summary
`boolean` | `equals(Object ob)`
`DTDExternalID` | `getExternalID()` Retrieves the external ID
`String` | `getName()` Retrieves the notation name
`void` | `setExternalID(DTDExternalID theExternalID)` Sets the external ID
`void` | `setName(String aName)` Sets the notation name
`void` | `write(PrintWriter out)` Writes out a declaration for this notation

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

### externalID

    public DTDExternalID externalID

Constructor Detail

### DTDNotation

    public DTDNotation()

### DTDNotation

    public DTDNotation(String aName)

Method Detail

### write

    public void write(PrintWriter out)
               throws IOException

  Writes out a declaration for this notation
  Specified by:
    `write` in interface `DTDOutput`

### equals

    public boolean equals(Object ob)

  Overrides:
    `equals` in class `Object`

### setName

    public void setName(String aName)

  Sets the notation name

### getName

    public String getName()

  Retrieves the notation name

### setExternalID

    public void setExternalID(DTDExternalID theExternalID)

  Sets the external ID

### getExternalID

    public DTDExternalID getExternalID()

  Retrieves the external ID

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD